jQuery(document).ready(function($){

/*------------------------------------------------
                BODY
------------------------------------------------*/
$('body').css({"display":"block"});

/*------------------------------------------------
                LOADER
------------------------------------------------*/

 $('#loader').fadeOut();
 $('#loader-container').fadeOut();

/*------------------------------------------------
                END LOADER
------------------------------------------------*/


/*------------------------------------------------
                MENU
------------------------------------------------*/

$('.main-navigation ul li').click(function() {
    $('.main-navigation ul li').removeClass('current-menu-item');
    $(this).addClass('current-menu-item');
});

$('#sidr-left-top-button').sidr({
    name: 'sidr-left-top',
    timing: 'ease-in-out',
    speed: 500,
    side: 'left',
    source: '.left'
});

$('#sidr-right-top-button').sidr({
    name: 'sidr-right-top',
    timing: 'ease-in-out',
    speed: 500,
    side: 'right',
    source: '.right'
});

$(window).scroll(function() {    
    var scroll = $(window).scrollTop();  
    if (scroll > 250) {
        $(".site-header.sticky-menu").addClass("is-sticky");
    }
    else if (scroll > 150) {
        $(".site-header.sticky-menu").addClass("translate-header");
    }
    else {
         $(".site-header.sticky-menu").removeClass("is-sticky");
         $(".site-header.sticky-menu").removeClass("translate-header");
    }
});

/*------------------------------------------------
                END MENU
------------------------------------------------*/


/*------------------------------------------------
                BACK TO TOP
------------------------------------------------*/

 $(window).scroll(function(){
    if ($(this).scrollTop() > 1) {
    $('.backtotop').css({bottom:"25px"});
    } else {
    $('.backtotop').css({bottom:"-100px"});
    }
    });
    $('.backtotop').click(function(){
    $('html, body').animate({scrollTop: '0px'}, 800);
    return false;
});
/*------------------------------------------------
                END BACK TO TOP
------------------------------------------------*/

/*------------------------------------------------
                SLICK SLIDER
------------------------------------------------*/
var $a = $('#main-slider .regular').data('effect');

$('#main-slider .regular').slick({
    cssEase: $a
});

$("#recent-classes-slider .regular").slick({
    responsive: [
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 767,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]
});

$('#client-testimonial-slider .regular').slick({
});
/*------------------------------------------------
                END SLICK SLIDER
------------------------------------------------*/

/*------------------------------------------------
                TABS
------------------------------------------------*/
$('ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('ul.tabs li').removeClass('active');
    $('.tab-content').removeClass('active');

    $(this).addClass('active');
    $("#"+tab_id).addClass('active');
});


/*------------------------------------------------
             COUNTER
------------------------------------------------*/

function count($this){
    var current = parseInt($this.html(), 10);
    current = current + 1; /* Where 50 is increment */
    $this.html(++current);
    if(current > $this.data('count')){
        $this.html($this.data('count'));
    } 
    else {    
        setTimeout(function(){count($this)}, 5 );
    }
}        
    
$(".stat-count").each(function() {
    $(this).data('count', parseInt($(this).html(), 10 ));
    $(this).html('0');
    count($(this));
});

/*------------------------------------------------
                END COUNTER
------------------------------------------------*/

/*------------------------------------------------
                SECTIONS
------------------------------------------------*/
if($("#info-text").hasClass("section-removed")) {
    $("#info-text").removeClass("no-padding-bottom");
}


/*-----------------------------------------------
                  Gallery page 
-----------------------------------------------*/

$('.gallery .gallery-item .gallery-icon a').attr('data-lightbox', 'masonry');


/*------------------------------------------------
               MATCH HEIGHT
------------------------------------------------*/

$('#recent-classes-slider .slider-item').matchHeight();
$('#blog .column-wrapper .blog-wrapper').matchHeight();

/*-------------------------------------
               WOO COMMERCE 
---------------------------------------*/
$('.products').addClass('three-columns');

/*-------------------------------------
               Google map disable scroll 
---------------------------------------*/

$(document).ready(function () {
    $('#maps').addClass('google-map');
    $('#map').addClass('google-map');
    $('.google-map').click(function () {
        $('.google-map iframe, #wpgmza_map').css("pointer-events", "auto");
        });

        $( ".google-map" ).mouseleave(function() {
          $('.google-map iframe, #wpgmza_map').css("pointer-events", "none"); 
        });
    });
});



/*------------------------------------------------
            END JQUERY
------------------------------------------------*/



