<?php
/**
* Breadcrumb options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

$wp_customize->add_section( 'kids_education_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','kids-education-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'kids-education-pro' ),
	'panel'             => 'kids_education_pro_theme_options_panel'
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback'	=> 'kids_education_pro_sanitize_checkbox',
	'default'          	=> $options['breadcrumb_enable']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'kids-education-pro' ),
	'section'          	=> 'kids_education_pro_breadcrumb',
	'type'             	=> 'checkbox',
) );

